<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.LifeUserViolationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.LifeUserViolation">
        <id column="id" property="id" />
        <result column="reported_user_id" property="reportedUserId" />
        <result column="reported_user_type" property="reportedUserType" />
        <result column="reporting_user_id" property="reportingUserId" />
        <result column="reporting_user_type" property="reportingUserType" />
        <result column="violation_type" property="violationType" />
        <result column="other_reason_content" property="otherReasonContent" />
        <result column="report_evidence_img" property="reportEvidenceImg" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="created_time" property="createdTime" />
        <result column="created_user_id" property="createdUserId" />
        <result column="updated_time" property="updatedTime" />
        <result column="updated_user_id" property="updatedUserId" />
        <result column="comment_id" property="commentId" />
        <result column="dynamics_id" property="dynamicsId" />
        <result column="report_result" property="reportResult" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, reported_user_id, reporting_user_id, violation_type, other_reason_content, report_evidence_img, delete_flag, created_time, created_user_id, updated_time, updated_user_id, comment_id, dynamics_id, report_result
    </sql>

</mapper>
